## ECA Recipe: Detect user role changes

ID: eca_lib_0010

When a user entity gets saved, this model compares the list of original and current roles of that user and finds out, which ones got added and which ones got removed.

This involves 2 loops where we first go through the list of current roles to see if one of them is missing from the list of original roles. Then we gro through the list of original roles to see if ones of them is missing in the list of current roles.

For each missing role, this model shows a message on screen.

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0010
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0010
```